edu.ucsb.nceas.metacat.annotation

## Class DatapackageSummarizer

- java.lang.Object
- - edu.ucsb.nceas.metacat.annotation.DatapackageSummarizer

-     public class DatapackageSummarizer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `cito`
    `static java.lang.String` | `dcterms`
    `static java.lang.String` | `dcterms_source`
    `static java.lang.String` | `foaf`
    `static java.lang.String` | `foaf_source`
    `static java.lang.String` | `oa`
    `static java.lang.String` | `oa_source`
    `static java.lang.String` | `oboe`
    `static java.lang.String` | `oboe_characteristics`
    `static java.lang.String` | `oboe_core`
    `static java.lang.String` | `oboe_sbc`
    `static java.lang.String` | `OBOE_SBC`
    `static java.lang.String` | `owl`
    `static java.lang.String` | `prov`
    `static java.lang.String` | `prov_source`
    `static java.lang.String` | `rdf`
    `static java.lang.String` | `rdfs`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DatapackageSummarizer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `generateAnnotation(org.dataone.service.types.v1.Identifier metadataPid)` Generate annotation for given metadata identifier
    `void` | `indexEphemeralAnnotation(org.dataone.service.types.v1.Identifier metadataPid)`
    `static void` | `main(java.lang.String[] args)`
    `static void` | `testGenerate()`
    `static void` | `testSummary()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### rdf

          public static java.lang.String rdf

    - #### rdfs

          public static java.lang.String rdfs

    - #### owl

          public static java.lang.String owl

    - #### oboe

          public static java.lang.String oboe

    - #### oboe_core

          public static java.lang.String oboe_core

    - #### oboe_characteristics

          public static java.lang.String oboe_characteristics

    - #### oboe_sbc

          public static java.lang.String oboe_sbc

    - #### oa

          public static java.lang.String oa

    - #### oa_source

          public static java.lang.String oa_source

    - #### dcterms

          public static java.lang.String dcterms

    - #### dcterms_source

          public static java.lang.String dcterms_source

    - #### foaf

          public static java.lang.String foaf

    - #### foaf_source

          public static java.lang.String foaf_source

    - #### prov

          public static java.lang.String prov

    - #### prov_source

          public static java.lang.String prov_source

    - #### cito

          public static java.lang.String cito

    - #### OBOE_SBC

          public static java.lang.String OBOE_SBC

  - ### Constructor Detail

    - #### DatapackageSummarizer

          public DatapackageSummarizer()

  - ### Method Detail

    - #### indexEphemeralAnnotation

          public void indexEphemeralAnnotation(org.dataone.service.types.v1.Identifier metadataPid)
                                        throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### generateAnnotation

          public java.lang.String generateAnnotation(org.dataone.service.types.v1.Identifier metadataPid)
                                              throws java.lang.Exception

      Generate annotation for given metadata identifier
      Parameters:
        `metadataPid` -
      Throws:
        `java.lang.Exception`

    - #### main

          public static void main(java.lang.String[] args)
                           throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testGenerate

          public static void testGenerate()
                                   throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### testSummary

          public static void testSummary()
                                  throws java.lang.Exception

      Throws:
        `java.lang.Exception`

Copyright © 2020 Regents of the University of California. All Rights Reserved.